Get cluster kubeconfig
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/kubeconfig \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/kubeconfig"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/kubeconfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Clusters
Get cluster kubeconfig
GET
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
kubeconfig
Get cluster kubeconfig
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Query Parameters
If true, the user auth part will have an exec command with qovery cli
Response
Get kubeconfig of the cluster
The response is of type string.
Was this page helpful?
⌘I